package com.caimei365.user.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/5/20
 */
@Data
public class ClubTemporaryVo implements Serializable {
    private Integer id;
    /**
     * 协销用户Id
     */
    private Integer userId;
    /**
     * 确认注册机构userId
     */
    private Integer confirmUserId;
    /**
     * 机构名称
     */
    private String name;
    /**
     * 机构简称
     */
    private String shortName;
    /**
     * 企业绑定手机号
     */
    private String bindMobile;
    /**
     * 联系邮箱
     */
    private String contractEmail;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 省
     */
    private Integer provinceId;
    /**
     * 市
     */
    private Integer cityId;
    /**
     * 地址Id
     */
    private Integer townId;
    /**
     * 地址
     */
    private String address;
    /**
     * 门头照
     */
    private String shopPhoto;
    /**
     * 营业执照(businessLicenseImage)
     */
    private String businessLicense;
    /**
     * 统一社会信用代码
     */
    private String socialCreditCode;
    /**
     * 一级分类为医美=1和生美=2
     */
    private Integer firstClubType;
    /**
     * 医美的二级分类为诊所=1、门诊=2、医院=3。  生美没有二级分类
     */
    private Integer secondClubType;
    /**
     * 若为医美分类下的门诊和医院则需要填写科室。
     */
    private String department;
    /**
     * 医美分类必须上传医疗执业许可证(medicalPracticeLicenseImg)
     */
    private String medicalPracticeLicense;
    /**
     * 主打项目(mainpro)
     */
    private String mainProduct;
    /**
     * 是否同意勾选同意协议，1是，其他否
     */
    private Integer isAgreed;
    /**
     * 省市区地址
     */
    private String provincialAddress;
}
