package com.caimei365.user.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zzj
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class VipPayHistoryPo implements Serializable {
    private Integer userId;
    /**
     * 套餐id
     */
    private Integer packageId;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date beginTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
    private Integer payWay;
    private Integer payType;
    private Double price;
    /**
     * 支付采美豆数量
     */
    private Double userBeans;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date payTime;

}
